Subject: Re: bug#34260: 27.0.50; Emacs randomly hangs during redisplay

From: martin rudalics <[email-masked]>
Date: Thu, 31 Jan 2019 09:32:10 +0100

> Let me know how I can debug this issue further.  Would the display
 > engine trace help in this case ?  Emacs doesn't enter an infinite
 > recursion but from the CPU usage it is entering some sort of infinite
 > loop, but I can't figure out why.

Please tell me if the following hold when the hang occurs:

(1) You have at least two frames open.

(2) You run an externl process (likely shell) in a non-selected frame.

(3) The minibuffer window of the selected frame is or should be enlarged.

Thank you, martin